Skip to main content
GET
list event summary

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account
string

The Account id or vid by which to filter Event Summaries. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
subscription
string

The Subscription id or vid to by which to filter Event Summaries. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
product
string

The Product id or vid by which to filter Event Summaries. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
rate_plan
string
required

The Rate Plan id or vid by which to filter Event Summaries.

start
string<date-time>

The starting datetime for the range of Event Summaries you wish to retrieve.

end
string<date-time>

The end datetime for the range of Event Summaries you wish to retrieve.

billed
boolean
default:false
required

Boolean that allows to filter list for unbilled events (0).

Response

JSON A list array with a data property that contains an array of up to limit EventSummary.

  • "total_count": Integer count of the number of EventSummary in the returned list.

  • "url": The query string provided in the request.

object
enum<string>
Available options:
List
data
object[]
total_count
integer

Integer count of the number of items in the returned list.

url
string

The query string provided in the request

Example:

"{ \"object\":\"List\", \"data\":[ { \"object\":\"EventSummary\", \"account\":{ \"object\":\"Account\", \"id\":\"ACC_5\", \"vid\":\"811e1592ea4a610d83c716f40f53885d4a277cab\" }, \"subscription\":{ \"object\":\"Subscription\", \"id\":\"ACC_5_Subs3\", \"vid\":\"426b2721704b0e9e96811fa8a91fc86105d9518f\" }, \"subscription_item\":{ \"object\":\"SubscriptionItem\", \"id\":\"sub_1234.2\", \"vid\":\"7fdd1be818e7e203a302ac12d24dc77ecbf46508\" }, \"product\":{ \"object\":\"Product\", \"id\":\"PRD_003\", \"vid\":\"9ef4aff403a1698ccd85e22328720a01abef4652\" }, \"rate_plan\":{ \"object\":\"RatePlan\", \"id\":\"Rate_Step_1\", \"vid\":\"d10c5e32ca8ba89c5be6789ab9b04d486924e334\" }, \"current_total_rated_units_bill\":2, \"rated_unit_total\":0, \"rated_unit\":{ \"_hint\":{ \"source\":\"db\", \"load_val\":{ \"fkey\":{ \"ratable_usage_metric.merchant_id\":\"101436034\" }, \"ratable_usage_metric\":\"2702:101436034:movies:movie\" } }, \"ratable_usage_metric.merchant_id\":\"101436034\", \"_id\":\"rest3-staging.int-staging.us-west.vindicia.com24822258803-MC\", \"_debug\":\"0\", \"_class\":\"RatableUsageMetric\", \"_user_at_load\":\"373246495\", \"ratable_usage_metric.name_singular\":\"movie\", \"_cacheok\":\"0\", \"ratable_usage_metric.id\":\"2702\", \"__class\":\"Vindicia::Obj::RatableUsageMetric\", \"_obj_storage_type\":\"db\", \"_saveable\":\"1\", \"_jit\":null, \"ratable_usage_metric.name_plural\":\"movies\", \"_dirty\":\"0\", \"_jitok\":\"1\" }, \"event_count\":2 } ], \"total_count\":1, \"url\":\"/event_summaries?billed=0\" }"